3S CoDeSys CmpWebServer组件缓冲区溢出漏洞


基本信息

时间: 2011-12-26

风险等级: 高

CNVD: CNVD-2011-5591

原地址: https://www.cnvd.org.cn/flaw/show/CNVD-2011-5591


描述
3SCoDeSys3.4SP4Patch2版本中的CmpWebServer组件中存在基于栈的缓冲区溢出漏洞。远程攻击者可借助到TCP8080端口的超长URI执行任意代码。
产品
(暂无)
解决方案
目前厂商还没有提供此漏洞的相关补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本:http://www.3s-software.com/
CVE
CVE-2011-5007
补丁
3S CoDeSys CmpWebServer组件缓冲区溢出漏洞的补丁
来源
http://osvdb.org/77387